DivX 2.0.2.39 isn't recognized as being "Up to Date"

VERIFIED FIXED

Status

--
major
VERIFIED FIXED
8 years ago
8 years ago

People

(Reporter: stephend, Unassigned)

Tracking

Details

(URL)

Attachments

(1 attachment)

*Note: this works fine on production*

STR:

1. Load https://www.authstage.mozilla.com/en-US/plugincheck/ using Firefox 3.6.3 on Windows XP/Vista/7, with the 2.0.2.39 version of DivX installed.
2. Look at the button next to the plugin

Expected Results:

A green button that says "Up to Date"

Actual Results:

Version 2.0.2.39 is not recognized

Here's its Perfidies [1] output:

[{"aliases":{"literal":["DivX Web Player","DivX® Web Player"],"regex":["DivX.? Web Player"]},"releases":{"latest":{"id":"8","pfs_id":"divx-web-player","name":"DivX® Web Player","description":"DivX Web Player lets you play up to HD-quality DivX® video in your web browser. You can also use DivX Web Player to easily embed DivX videos onto your website or blog.","vendor":"DivX, Inc","modified":"2010-03-22T00:30:02+00:00","created":"2010-03-11T02:45:08+00:00","plugin_id":"5","os_id":"3","platform_id":"8","status":"latest","url":"http://www.divx.com/en/web-player-windows","version":"1.5","detected_version":"1.5","detection_type":"original","os_name":"win","app_id":"*","app_release":"*","app_version":"*","locale":"*","fetched":"2010-04-23T00:02:53-07:00","relevance":3},"others":[{"id":"8","pfs_id":"divx-web-player","name":"DivX® Web Player","description":"DivX Web Player lets you play up to HD-quality DivX® video in your web browser. You can also use DivX Web Player to easily embed DivX videos onto your website or blog.","vendor":"DivX, Inc","modified":"2010-03-22T00:30:02+00:00","created":"2010-03-11T02:45:08+00:00","plugin_id":"5","os_id":"1","platform_id":"8","status":"outdated","version":"1.4.1.4","detected_version":"1.4.1.4","detection_type":"original","os_name":"*","app_id":"*","app_release":"*","app_version":"*","locale":"*","fetched":"2010-04-23T00:02:53-07:00","relevance":1},{"id":"8","pfs_id":"divx-web-player","name":"DivX® Web Player","description":"DivX Web Player lets you play up to HD-quality DivX® video in your web browser. You can also use DivX Web Player to easily embed DivX videos onto your website or blog.","vendor":"DivX, Inc","modified":"2010-03-22T00:30:02+00:00","created":"2010-03-11T02:45:08+00:00","plugin_id":"5","os_id":"1","platform_id":"8","status":"outdated","version":"1.4.0.233","detected_version":"1.4.0.233","detection_type":"original","os_name":"*","app_id":"*","app_release":"*","app_version":"*","locale":"*","fetched":"2010-04-23T00:02:53-07:00","relevance":1}]}},{"aliases":{"literal":["VLC Multimedia Plug-in"]},"releases":{"latest":{"id":"8","pfs_id":"videolan-vlc","name":"VLC Multimedia Plug-in","vendor":"VideoLAN Project","modified":"2010-03-22T00:30:02+00:00","created":"2010-03-11T02:45:09+00:00","plugin_id":"16","os_id":"1","platform_id":"8","status":"latest","url":"http://www.videolan.org/vlc/","version":"1.0.2","detected_version":"1.0.2","detection_type":"original","os_name":"*","app_id":"*","app_release":"*","app_version":"*","locale":"*","fetched":"2010-04-23T00:02:53-07:00","relevance":1},"others":[]}}]

[1] http://ozten.com/random/perfidies/tester.html#plugins=2.0.2.39&mimes=video/divx

Comment 1

8 years ago
Updated the detection_type to '*'.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Created attachment 441551 [details]
Post-fix screenshot
Verified FIXED.
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.